0
1

salve ubuntiani
sto cercando di installare blockify (programma che evita la pubblicità su spotify).
ho fatto molte ricerche e ho visto che molti hanno avuto i miei stessi problemi, l'unica guida che riesco a trovare è per ARCHLinux.

ho scaricato 2 versioni:
blockify-3.6.2 con file setup.py il quale richiede, nel README.rst, di installare tali pacchetti Python3:

sudo apt-get install Python3
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto Python3

Spotify-AdKiller-master con file install.sh che invece chiede, sempre nel README.md, pacchetti xprop, tra altri, che ancora devo provare a installare, ma già questi mi danno problemi:

sudo apt-get install xprop
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
E: Impossibile trovare il pacchetto xprop

Sto sbagliando qualcosa? forse questi pacchetti non si installano con il solito comando

sudo apt-get install ...

??? !! chiedo aiuto e ringrazio in anticipo!!

PS ho Ubuntu Gnome 16.04 LTS

chiesto 21 Ott '17, 12:35

hodoeporicus's gravatar image

hodoeporicus
40714

modificato 21 Ott '17, 12:59

python3, non Python3, e su Ubuntu è già installato di default.

Prova seguendo le istruzioni di Blockify per Debian. Nota anche che l'ultimo aggiornamento risale a un anno fa, quindi è possibile che non funzioni.

Per l'altro, ci sono istruzioni direttamente per Ubuntu, e xprop non ne è menzionato, probabilmente le sue funzionalità sono incluse in x11-utils che invece ti dice di installare.

(21 Ott '17, 13:34) dadexix86 ♦♦ dadexix86's gravatar image

ho seguito le istruzioni per debian, so che gnome è impostata su debian, le istruzioni che ho trovato sono queste:

sudo apt-get install gir1.2-gstreamer-0.10 gir1.2-gstreamer-1.0 python-gst-1.0
sudo apt-get install libdbus-1-dev libdbus-glib-1-dev
sudo pip3 install dbus-python
sudo pip3 install git+https://github.com/serialoverflow/blockify

su questo sito :https://github.com/serialoverflow/blockify

ma quando arrivo alla terza stringa mi dice che non trova pip3

sudo: pip3: comando non trovato

quindi ho installato pip
poi l'ho aggiornato, ma mi dava dei problemi, vorrei postare l'output ma non ricordo la stringa per l'aggiornamento, poichè mi era uscita come output quando ho installato pip, comunque se ricordo bene ho installato pip 8.11 mentre era richiesto pip 9 e l'aggiornamento non mi era permesso a causa di una cartella di cui non avevo il permesso, il problema è che quando si tratta di queste cose non ci capisco quasi nienteXD

PS. nel README lo chiama "Python3"

(21 Ott '17, 13:55) hodoeporicus hodoeporicus's gravatar image

Gnome è solo un'interfaccia, non è basta su nulla.

Ho appena provato io su Ubuntu 16.04 seguendo le istruzioni per Ubuntu e l'ha installato senza problemi anche se ho pip a 8.1.1 e non alla 9.

Senza avere l'output esatto non posso aiutarti...

(21 Ott '17, 14:12) dadexix86 ♦♦ dadexix86's gravatar image

allora python-pip è installato, il problema è che mi dà

sudo: pip3: comando non trovato

quindi ho dato comando

sudo pip install dbus-python

sostituendo pip3 con pip che dà output

The directory '/home/hodoeporicus/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/hodoeporicus/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting dbus-python
Downloading dbus-python-1.2.4.tar.gz (612kB)
100% |████████████████████████████████| 614kB 470kB/s 
Installing collected packages: dbus-python
Running setup.py install for dbus-python ... done
Successfully installed dbus-python-1.2.4

quindi ho continuato le istruzioni del sito sopra citato sempre dando pip invece di pip3:

sudo pip install git+https://github.com/serialoverflow/blockify

mi dà output

The directory '/home/hodoeporicus/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/hodoeporicus/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting git+https://github.com/serialoverflow/blockify
Cloning https://github.com/serialoverflow/blockify to /tmp/pip-eM6SYF-build
Error [Errno 2] File o directory non esistente while executing command git clone -q https://github.com/serialoverflow/blockify /tmp/pip-eM6SYF-build
Cannot find command 'git'

spero di essere stato chiaro e soprattutto di non aver fatto solo casini..grazie

(21 Ott '17, 14:51) hodoeporicus hodoeporicus's gravatar image

Se ti dicono di usare pip3 devi usare pip3 e non pip.

Perché hai dato quel comando che non c'è nell'elenco dei comandi da dare, per installare dbus python?

Se non hai pip3 è perché non hai seguito le istruzioni indicate... Perché te lo fa installare nel passo appena prima!

(21 Ott '17, 15:04) dadexix86 ♦♦ dadexix86's gravatar image

Ok, posta tutti i comandi che dai e gli output.

(21 Ott '17, 15:49) dadexix86 ♦♦ dadexix86's gravatar image

ho cancellato tutti i pacchetti installati in precedenza compreso python-pip non cambia niente, a stringa

 sudo apt-get install gir1.2-gstreamer-0.10 gir1.2-gstreamer-1.0 python-gst-1.0

mi occupa 5,230 kB di spazio su disco.
a stringa

 sudo apt-get install libdbus-1-dev libdbus-glib-1-dev

mi occupa 14.1 MB di spazio su disco.

a stringa

sudo pip3 install dbus-python

mi da output

sudo: pip3: comando non trovato

pensavo che dando installando "python-pip" avrei risolto ma niente. mi conviene reinstallarlo? e come posso risolvere il problema pip3??

(21 Ott '17, 15:52) hodoeporicus hodoeporicus's gravatar image

scusa non avevo letto il commento di postare tutto, basta questo o è meglio con tutti gli output ?

(21 Ott '17, 15:57) hodoeporicus hodoeporicus's gravatar image

Non stai seguendo le istruzioni giuste. Come ti ho detto sopra, io l'ho installato seguendo quelle per Ubuntu, non per Debian!

(21 Ott '17, 15:59) dadexix86 ♦♦ dadexix86's gravatar image

okok grazie, dove posso trovare le istruzioni per ubuntu ?

(21 Ott '17, 16:05) hodoeporicus hodoeporicus's gravatar image

Sempre lì nella stessa pagina, poco sotto a quelle per Debian.

(21 Ott '17, 16:07) dadexix86 ♦♦ dadexix86's gravatar image

ti riferisci a questo?

# Install blockify
 sudo pip3 install git+https://github.com/serialoverflow/blockify

 echo -e '[Desktop Entry]\nName=Blockify\nComment=Blocks Spotify commercials\nExec=blockify-ui\nIcon='$(python3 -c 'import pkg_resources; print(pkg_resources.resource_filename("blockify", "data/icon-red-512.png"))')'\nType=Application\nCategories=AudioVideo' | sudo tee /usr/share/applications/blockify.desktop

perchè mi da sempre lo stesso problema:

sudo: pip3: comando non trovato
(21 Ott '17, 16:16) hodoeporicus hodoeporicus's gravatar image

Anche, ma soprattutto alle dipendenze due righe sopra, te le riporto qui

# Install blockify dependencies
sudo apt-get install git python3-pip python3-gst-1.0 python3-requests python3-docopt python3-setuptools wmctrl
(21 Ott '17, 16:17) dadexix86 ♦♦ dadexix86's gravatar image

perfetto funziona. Grazie

faccio un riepilogo e metto risolto!

(22 Ott '17, 15:33) hodoeporicus hodoeporicus's gravatar image
1

Non mettere risolto, ma scrivi una risposta e accettala! :)

(22 Ott '17, 15:36) dadexix86 ♦♦ dadexix86's gravatar image

Aggiornamento: Riepilogo per coloro i quali non riescono a installare Blockify.

Per installare blockify su ubuntu tramite setup.py:

Installazione delle dipendenze in 4 passi:

1  echo deb http://repository.spotify.com testing non-free | sudo tee /etc/apt/sources.list.d/spotify.list
2  sudo apt-get update
3  sudo apt-get install spotify-client
4  sudo apt-get install git python3-pip python3-gst-1.0 python3-requests python3-docopt python3-setuptools wmctrl

Percorso di installazione in 2 passi:

1  sudo pip3 install git+https://github.com/serialoverflow/blockify
2  echo -e '[Desktop Entry]\nName=Blockify\nComment=Blocks Spotify commercials\nExec=blockify-ui\nIcon='$(python3 -c 'import pkg_resources; print(pkg_resources.resource_filename("blockify", "data/icon-red-512.png"))')'\nType=Application\nCategories=AudioVideo' | sudo tee /usr/share/applications/blockify.desktop

maggiori informazioni, e percorsi per altre distro, su questo sito: https://github.com/serialoverflow/blockify

PS. Ringrazio il Forum e dadexix86 per le istruzioni.

coll. permanente

ha risposto 22 Ott '17, 15:44

hodoeporicus's gravatar image

hodoeporicus
40714

modificato 23 Ott '17, 13:26

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×789
×170
×93
×28
×8

domanda posta: 21 Ott '17, 12:35

domanda visualizzata: 424 volte

ultimo aggiornamento: 23 Ott '17, 13:26

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.